import processing.pdf.*;

float[][] distances;
float maxDistance;
int spacer;


void setup() {
  size(2200, 100, PDF, "001.pdf");;
  maxDistance = dist(width/2, height/2, width, height);
  distances = new float[width][height];
  for (int y = 0; y < height; y++) {
    for (int x = 0; x < width; x++) {
      float distance = dist(width/2, height/2, x, y);
      distances[x][y] = distance/maxDistance * 255;
    }
  }
  spacer = 3;
  noStroke();
  noLoop();  // Run once and stop
}

void draw() {
  background(255);
  // This embedded loop skips over values in the arrays based on
  // the spacer variable, so there are more values in the array
  // than are drawn here. Change the value of the spacer variable
  // to change the density of the points
  for (int y = 0; y < height; y += spacer) {
    for (int x = 0; x < width; x += spacer) {
      fill(distances[x][y]);
      ellipse(x + spacer/2, y + spacer/2, spacer/2, spacer/2);
    }
  }
    exit();  // Quit the program
}
